<template>
	<div>
		<builder :blocks="blocks" />
		<block-footer />
	</div>
</template>

<script>
export default {
	data() {
		return {
			blocks: require('~/assets/content/marathon/index.json')
		}
	},
	head() {
		return {
			title: "Мастер-класс по веб-дизайну с практикой",
			meta: [
				// hid is used as unique identifier. Do not use `vmid` for it as it will not work
				{
					hid: 'description',
					name: 'description',
					content: ''
				}
			]
		}
	}
}
</script>

<style lang="scss">
html, body {
    max-width: 100%;
    overflow-x: hidden;
}
#intro {
	overflow: visible;
	@include md {
		text-align: center;
	}
}
#intro .intro__right__image {
	width: 740px;
    margin: -240px 0px -240px;
	z-index: 20;
	@include lg {
		margin: 0px;
		width: 380px;
		max-width: 380px;
		height: 235px;
		object-fit: cover;
		object-position: 50% 60%;
		border-bottom-left-radius: 70px;
		left: -2%;
	}
	@include md {
		width: 230px;
		height: 147px;
		left: 0;
	}
	@include xs {
		width: 180px;
		height: 110px;
	}
}

#for {
	.card {
		background-color: white;
		border-radius: 16px;
		box-shadow: 0px 20px 40px rgba(0, 0, 0, .03);
		padding: 40px 185px 40px 45px;
		@include lg {
			padding: 30px 130px 30px 35px;
			overflow: hidden;
		}
		@include md {
			padding: 30px;
			height: 330px;
			text-align: center;
		}
		@include sm {
			height: auto;
			text-align: left;
			padding: 30px 150px 30px 30px;
			overflow: visible;
		}
		@include xs {
			padding: 30px 30px 160px;
			text-align: center;
		}
		.card__image {
			height: 120%;
			position: absolute;
			right: 10px;
			width: 180px;
			bottom: 0;
			margin: 0px;
			object-position: 100% 100%;
			@include lg {
				right: -15px;
    			width: 190px;
				height: 95%;
			}
			@include md {
				width: 130px;
				height: 140px;
				right: auto;
				left: 50%;
				margin-left: -65px;
				object-position: center top;
				object-fit: cover;
			}
			@include sm {
				height: 90%;
				right: 20px;
				width: 140px;
				bottom: 0;
				margin: 0px;
				object-position: 100% 100%;
				left: auto;
				object-fit: contain;
			}
			@include xs {
				width: 130px;
				height: 140px;
				right: auto;
				left: 50%;
				margin-left: -65px;
				object-position: center top;
				object-fit: cover;
			}
		}
		.card__text {
			@include md {
				padding-right: 0;
				font-size: 14px;
			}
		}
	}
}

#day-1,
#day-2 {
	overflow: visible;
	.text-half__media__image {
		max-width: 140px;
		margin: -10px 0px -45px auto;
		display: block;
		@include md {
			margin: 0px 0px -35px -2px;
			max-width: 80px;
		}
	}
}

#day-1,
#homework {
	padding-bottom: 65px;
}

#homework {
	.text-half__media__image {
		@include md {
			max-width: 160px;
			margin-bottom: -20px;
		}
		@include xs {
			max-width: 120px;
		}
	}
}

#signup .text-half__media__form {
	&::before {
		content: " ";
		width: 80px;
		height: 80px;
		background-image: url('/marathon/form.png');
		position: relative;
		display: block;
		background-repeat: no-repeat;
		background-size: contain;
		margin: -80px 0px 20px;
		@include md {
			margin-top: -20px;
		}
		@include xs {
			margin: 0px 0px 15px;
			width: 50px;
			height: 50px;
		}
	}
}
</style>
